import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/api/responses/token.dart';

part 'base.g.dart';


@JsonSerializable(explicitToJson: true)
class BaseAuthorizedResponse {
  final TokenData accessToken;

  const BaseAuthorizedResponse({required this.accessToken});

  factory BaseAuthorizedResponse.fromJson(Map<String, dynamic> json) => _$BaseAuthorizedResponseFromJson(json);
  Map<String, dynamic> toJson() => _$BaseAuthorizedResponseToJson(this);
}